import { OnDestroy, OnInit } from '@angular/core';
import { ElFilterable } from './data-source/tree-grid-data-source';
export declare class ElFilterDirective {
    filterable: ElFilterable;
    filter(filterRequest: string): void;
}
/**
 * Helper directive to trigger data source's filter method when user types in input
 */
export declare class ElFilterInputDirective extends ElFilterDirective implements OnInit, OnDestroy {
    private search$;
    private alive;
    filterable: ElFilterable;
    /**
     * Debounce time before triggering filter method. Set in milliseconds.
     * Default 200.
     */
    debounceTime: number;
    ngOnInit(): void;
    ngOnDestroy(): void;
    filter(event: any): void;
}
